Description: Spelling corrections
Bug: https://rt.cpan.org/Ticket/Display.html?id=134032
Bug-Debian: https://bugs.debian.org/945988
Forwarded: https://rt.cpan.org/Ticket/Display.html?id=134032
Author: Ken Ibbotson <keni@computer.org>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2025-02-15

--- a/lib/Locale/Messages.pm
+++ b/lib/Locale/Messages.pm
@@ -480,7 +480,7 @@
 =head1 FUNCTIONS
 
 The module exports by default nothing.  Every function has to be
-imported explicitely or via an export tag (L</"EXPORT TAGS">).
+imported explicitly or via an export tag (L</"EXPORT TAGS">).
 
 =over 4
 
@@ -518,7 +518,7 @@
 other languages (for example French or Italian) differ here.  The 
 translator of the message may therefore have a hard time to find
 a translation that will still work and not sound stupid in the 
-target language.  Many C implementations of printf() allow to 
+target language.  Many C implementations of printf() allow one to
 change the order of the arguments, and a French translator could
 then say:
 
@@ -569,7 +569,7 @@
 from the character set used in the source code, output can be a
 mixture of two character sets.  There is no point in trying to address
 this problem in the pure Perl version of the gettext functions.  because
-breaking compatibilty between the Perl and the C version is a price too
+breaking compatibility between the Perl and the C version is a price too
 high to pay.
 
 This all boils down to: Only use ASCII characters in your translatable
@@ -755,7 +755,7 @@
 The function cannot fail and always returns a true value.
 
 B<Attention:> If you use the function for setting the utf-8 flag,
-it is B<your> responsability to ensure that the output is really
+it is B<your> responsibility to ensure that the output is really
 utf-8.  You should only use it, if you have set the environment
 variable B<OUTPUT_CHARSET> to "utf-8".  Additionally you should
 call bind_textdomain_codeset() with "utf-8" as the second
@@ -802,7 +802,7 @@
 
 Beginning with version 1.22 you can pass other package names than "gettext_pp"
 or "gettext_xs" and use a completely different backend.  It is the caller's
-responsability to make sure that the selected package offers the same
+responsibility to make sure that the selected package offers the same
 interface as the two standard packages.
 
 One package that offers that functionality is Locale::gettext_dumb(3pm).
@@ -929,7 +929,7 @@
 
 =head1 EXPORT TAGS
 
-The module does not export anything unless explicitely requested.
+The module does not export anything unless explicitly requested.
 You can import groups of functions via two tags:
 
 =over 4
--- a/lib/Locale/Recode.pm
+++ b/lib/Locale/Recode.pm
@@ -238,7 +238,7 @@
 =item B<getSupported>
 
 Returns a reference to a list of all supported charsets.  This
-may implicitely load additional Encode(3) conversions like 
+may implicitly load additional Encode(3) conversions like
 Encode::HanExtra(3) which may produce considerable load on your
 system.
 
@@ -284,7 +284,7 @@
 The integer values are the UCS-4 codes of the characters in host
 byte order.
 
-The encoding B<INTERNAL> is directly availabe via Locale::Recode(3)
+The encoding B<INTERNAL> is directly available via Locale::Recode(3)
 but of course you should not really use it for data exchange, unless
 you know what you are doing.
 
--- a/lib/Locale/TextDomain.pm
+++ b/lib/Locale/TextDomain.pm
@@ -486,7 +486,7 @@
 
 When you request a translation for a given string, the system used
 in libintl-perl follows a standard strategy to find a suitable message
-catalog containing the translation: Unless you explicitely define
+catalog containing the translation: Unless you explicitly define
 a name for the message catalog, libintl-perl will assume that your
 catalog is called 'messages' (unless you have changed the default
 value to something else via Locale::Messages(3pm), method textdomain()).
@@ -561,7 +561,7 @@
 machine, nor can you be sure that the installation routine has write 
 access to these locations.  You can therefore instruct libintl-perl 
 to search other directories prior to the default directories.  Specifying 
-a differnt search directory is called I<binding> a textdomain to a 
+a different search directory is called I<binding> a textdomain to a
 directory.
 
 Beginning with version 1.20, B<Locale::TextDomain> extends the default 
@@ -574,7 +574,7 @@
 using L<Module::Install>'s C<install_share> directive or the Dist::Zilla
 L<ShareDir plugin|Dist::Zilla::Plugin::ShareDir>.
 
-If L<File::ShareDir> is not availabe, or if Locale::TextDomain fails to find
+If L<File::ShareDir> is not available, or if Locale::TextDomain fails to find
 the translation files in the L<File::ShareDir> directory, it will next look in
 every directory found in the standard include path C<@INC>, and check for a
 database containing the message for your textdomain there. Example: If the
@@ -615,7 +615,7 @@
 If you have not installed the translation database in a directory
 F<LocaleData> in the L<File::ShareDir> directory or the standard include
 path C<@INC> (or in the system directories F</usr/share/locale> resp.
-F</usr/local/share/locale>), you have to explicitely specify a search
+F</usr/local/share/locale>), you have to explicitly specify a search
 path by giving the names of directories (as strings!) as additional
 arguments to use():
 
@@ -796,7 +796,7 @@
 know that, you will also understand the rest despite this little
 simplification ...].
 
-That is the reason for the existance of the function ngettext(),
+That is the reason for the existence of the function ngettext(),
 that __n() is a short-cut for: 
 
     print __n"One file has been deleted.\n", 
@@ -842,7 +842,7 @@
 =item B<__p MSGCTXT, MSGID>
 
 This is much like __. The "p" stands for "particular", and the MSGCTXT 
-is used to provide context to the translator. This may be neccessary
+is used to provide context to the translator. This may be necessary
 when your string is short, and could stand for multiple things. For example:
 
     print __p"Verb, to view", "View";
--- a/lib/Locale/gettext_pp.pm
+++ b/lib/Locale/gettext_pp.pm
@@ -920,7 +920,7 @@
 =head1 FUNCTIONS
 
 The module exports by default nothing.    Every function has to be
-imported explicitely or via an export tag (L<"EXPORT TAGS">).
+imported explicitly or via an export tag (L<"EXPORT TAGS">).
 
 =over 4
 
@@ -1019,7 +1019,7 @@
 
 =head1 EXPORT TAGS
 
-This module does not export anything unless explicitely requested.
+This module does not export anything unless explicitly requested.
 You can import groups of functions via two tags:
 
 =over 4
